OGRE: Ogre::AllocatedObject< Alloc > Class Template Reference - OGRE Documentation

Public Member Functions

# Ogre::AllocatedObject< Alloc > Class Template Reference
[Memory]

Superclass for all objects that wish to use custom memory allocators when their new / delete operators are called. More...

`#include <OgreMemoryAllocatedObject.h>`

Inherited by Ogre::Controller< Real >, Ogre::ControllerFunction< Real >, Ogre::ControllerValue< Real >, Ogre::AbstractNode, Ogre::AnimableValue, Ogre::Animation, Ogre::AnimationState, Ogre::AnimationStateSet, Ogre::AnimationTrack, Ogre::Archive, Ogre::ArchiveFactory, Ogre::ArchiveManager, Ogre::AutoParamDataSource, Ogre::Billboard, Ogre::BorderRenderable, Ogre::Codec, Ogre::Codec::CodecData, Ogre::CompositionPass, Ogre::CompositionTargetPass, Ogre::CompositionTechnique, Ogre::CompositionTechnique::TextureDefinition, Ogre::CompositorChain, Ogre::CompositorInstance, Ogre::CompositorInstance::RenderSystemOperation, Ogre::ConcreteNode, Ogre::ConfigDialog, Ogre::ConfigDialog, Ogre::ConfigDialog, Ogre::ConfigDialog, Ogre::ConfigDialog, Ogre::ConfigDialog, Ogre::ConfigFile, Ogre::Controller< T >, Ogre::ControllerFunction< T >, Ogre::ControllerManager, Ogre::ControllerValue< T >, Ogre::DataStream, Ogre::DefaultWorkQueueBase::RequestHandlerHolder, Ogre::DynLib, Ogre::DynLibManager, Ogre::EdgeData, Ogre::ExternalTextureSourceManager, Ogre::GpuLogicalBufferStruct, Ogre::GpuNamedConstants, Ogre::GpuProgramParameters, Ogre::GpuProgramUsage, Ogre::GpuSharedParameters, Ogre::GpuSharedParametersUsage, Ogre::HardwareBuffer, Ogre::HardwareBufferManagerBase, Ogre::HardwareOcclusionQuery, Ogre::HighLevelGpuProgramFactory, Ogre::IlluminationPass, Ogre::Image, Ogre::IndexData, Ogre::InstancedGeometry, Ogre::InstancedGeometry::InstancedObject, Ogre::InstancedGeometry::LODBucket, Ogre::InstancedGeometry::MaterialBucket, Ogre::InstancedGeometry::OptimisedSubMeshGeometry, Ogre::InstancedGeometry::QueuedGeometry, Ogre::InstancedGeometry::QueuedSubMesh, Ogre::IntersectionSceneQueryResult, Ogre::KeyFrame, Ogre::LodStrategy, Ogre::LodStrategyManager, Ogre::Log, Ogre::LogManager, Ogre::ManualObject::ManualObjectSection, Ogre::MaterialSerializer, Ogre::MovableObject, Ogre::MovableObjectFactory, Ogre::Node, Ogre::Node::DebugRenderable, Ogre::Overlay, Ogre::OverlayElement, Ogre::OverlayElementFactory, Ogre::OverlayManager, Ogre::Page, Ogre::Page::PageData, Ogre::PageContent, Ogre::PageContentCollection, Ogre::PageContentCollectionFactory, Ogre::PageContentFactory, Ogre::PagedWorld, Ogre::PagedWorldSection, Ogre::PagedWorldSectionFactory, Ogre::PageManager, Ogre::PageStrategy, Ogre::PageStrategyData, Ogre::Particle, Ogre::ParticleAffector, Ogre::ParticleAffectorFactory, Ogre::ParticleEmitterFactory, Ogre::ParticleSystemManager, Ogre::ParticleSystemRenderer, Ogre::ParticleSystemRendererFactory, Ogre::ParticleVisualData, Ogre::Pass, Ogre::PatchSurface, Ogre::PixelBox, Ogre::Plugin, Ogre::Pose, Ogre::Profile, Ogre::Profiler, Ogre::ProgressiveMesh, Ogre::PropertyBase, Ogre::PropertyDef, Ogre::PropertySet, Ogre::QueuedRenderableCollection, Ogre::RenderPriorityGroup, Ogre::RenderQueue, Ogre::RenderQueueGroup, Ogre::RenderQueueInvocation, Ogre::RenderQueueInvocationSequence, Ogre::RenderSystem, Ogre::RenderSystemCapabilities, Ogre::RenderSystemCapabilitiesManager, Ogre::RenderSystemCapabilitiesSerializer, Ogre::RenderTarget, Ogre::Resource, Ogre::ResourceBackgroundQueue, Ogre::ResourceGroupManager, Ogre::ResourceManager, Ogre::ResourceManager::ResourcePool, Ogre::Root, Ogre::RTShader::Function, Ogre::RTShader::FunctionAtom, Ogre::RTShader::Operand, Ogre::RTShader::Parameter, Ogre::RTShader::Program, Ogre::RTShader::ProgramManager, Ogre::RTShader::ProgramProcessor, Ogre::RTShader::ProgramSet, Ogre::RTShader::ProgramWriter, Ogre::RTShader::ProgramWriterFactory, Ogre::RTShader::ProgramWriterManager, Ogre::RTShader::RenderState, Ogre::RTShader::SGMaterialSerializerListener, Ogre::RTShader::ShaderGenerator, Ogre::RTShader::ShaderGenerator::SGMaterial, Ogre::RTShader::ShaderGenerator::SGPass, Ogre::RTShader::ShaderGenerator::SGRenderObjectListener, Ogre::RTShader::ShaderGenerator::SGSceneManagerListener, Ogre::RTShader::ShaderGenerator::SGScheme, Ogre::RTShader::ShaderGenerator::SGTechnique, Ogre::RTShader::SubRenderState, Ogre::RTShader::SubRenderStateFactory, Ogre::SceneManager, Ogre::SceneManager::ShadowCasterSceneQueryListener, Ogre::SceneManagerEnumerator, Ogre::SceneManagerFactory, Ogre::SceneQuery, Ogre::SceneQueryResult, Ogre::ScriptCompiler, Ogre::ScriptCompiler::Error, Ogre::ScriptCompilerManager, Ogre::ScriptLexer, Ogre::ScriptParser, Ogre::ScriptTranslator, Ogre::ScriptTranslatorManager, Ogre::Serializer, Ogre::ShadowCameraSetup, Ogre::ShadowRenderable, Ogre::ShadowTextureManager, Ogre::ShadowVolumeExtrudeProgram, Ogre::StaticGeometry, Ogre::StaticGeometry::GeometryBucket, Ogre::StaticGeometry::LODBucket, Ogre::StaticGeometry::MaterialBucket, Ogre::StaticGeometry::OptimisedSubMeshGeometry, Ogre::StaticGeometry::QueuedGeometry, Ogre::StaticGeometry::QueuedSubMesh, Ogre::StreamSerialiser, Ogre::StreamSerialiser::Chunk, Ogre::SubEntity, Ogre::SubMesh, Ogre::Technique, Ogre::TempBlendedBufferInfo, Ogre::Terrain, Ogre::Terrain::GpuBufferAllocator, Ogre::TerrainGlobalOptions, Ogre::TerrainGroup, Ogre::TerrainGroup::TerrainSlot, Ogre::TerrainLayerBlendMap, Ogre::TerrainMaterialGenerator, Ogre::TerrainMaterialGenerator::Profile, Ogre::TerrainMaterialGeneratorA::SM2Profile::ShaderHelper, Ogre::TerrainPaging, Ogre::TerrainQuadTreeNode, Ogre::TerrainQuadTreeNode::LodLevel, Ogre::TerrainQuadTreeNode::Rend, Ogre::TerrainQuadTreeNode::VertexDataRecord, Ogre::TextureUnitState, Ogre::Timer, Ogre::Timer, Ogre::Timer, Ogre::Timer, Ogre::UserObjectBindings, Ogre::UserObjectBindings::Attributes, Ogre::VertexBufferBinding, Ogre::VertexCacheProfiler, Ogre::VertexData, Ogre::VertexDeclaration, Ogre::VertexElement, Ogre::Viewport, Ogre::WorkQueue, Ogre::WorkQueue::Request, and Ogre::WorkQueue::Response.

List of all members.

## Public Member Functions
| AllocatedObject ()
| ~AllocatedObject ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Detailed Description

### template<class Alloc>
class Ogre::AllocatedObject< Alloc >

Superclass for all objects that wish to use custom memory allocators when their new / delete operators are called.

Requires a template parameter identifying the memory allocator policy to use (e.g. see StdAllocPolicy).

Definition at line 57 of file OgreMemoryAllocatedObject.h.

## Constructor & Destructor Documentation

template<class Alloc >

Ogre::AllocatedObject< Alloc >::AllocatedObject | ( |  | ) | `[explicit]`

Definition at line 60 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

Ogre::AllocatedObject< Alloc >::~AllocatedObject | ( |  | ) |

Definition at line 63 of file OgreMemoryAllocatedObject.h.

## Member Function Documentation

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  |

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  |

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  |

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  |

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  |

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  |

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

The documentation for this class was generated from the following file:

- OgreMemoryAllocatedObject.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:56